# Exclude all elements, as they are only run within diskimage-builder
%global __requires_exclude_from	%{_datadir}/%{name}/elements

Name:		diskimage-builder
Summary:	Image building tools for OpenStack
Version:	1.15.0
Release:	%mkrel 1
License:	ASL 2.0
Group:		System/Base
URL:		https://launchpad.net/diskimage-builder
Source0:	http://tarballs.openstack.org/diskimage-builder/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires: kpartx
Requires: qemu-img
Requires: busybox
Requires: curl
Requires: sudo
Requires: yum-utils

%description
Components of TripleO that are responsible for building disk images.

%prep
%setup -q 
%autopatch -p1

%build
%py2_build

%install
%py2_install

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
mkdir -p %{buildroot}%{_datadir}/%{name}/elements

install -p -D -m 644 lib/* %{buildroot}%{_datadir}/%{name}/lib
cp -vr elements/ %{buildroot}%{_datadir}/%{name}

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{python2_sitelib}/diskimage_builder*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/elements


%changelog
* Thu Aug 18 2016 bcornec <bcornec> 1.15.0-1.mga6
+ Revision: 1046762
- Update to diskimage-builder upstream 1.15.0

* Thu Apr 14 2016 daviddavid <daviddavid> 1.14.1-1.mga6
+ Revision: 1001280
- new version: 1.14.1

* Mon Feb 29 2016 daviddavid <daviddavid> 1.11.1-1.mga6
+ Revision: 980641
- new version: 1.11.1

* Wed Feb 03 2016 daviddavid <daviddavid> 1.9.0-1.mga6
+ Revision: 933775
- new version: 1.9.0
- switch to requires_exclude_from for all elements
- config-applier is no longer part of diskimage-builder

* Fri Jan 22 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 926401
- new version: 1.8.0
- use new python macros
- relax python-flake8 version requirements
- drop patches merged upstream
- add Requires filter for /usr/local/bin/dib-python
- add missing Requires for sudo and yum-utils

* Thu Oct 29 2015 tv <tv> 0.1.42-1.mga6
+ Revision: 896300
- sync patches with FC
- fix file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-13.mga5
+ Revision: 744569
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.1-12.mga5
+ Revision: 726126
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.1-11.mga5
+ Revision: 678755
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.0.1-10.mga5
+ Revision: 628159
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.0.1-9.mga4
+ Revision: 542588
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.0.1-8.mga4
+ Revision: 497726
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 neoclust <neoclust> 0.0.1-7.mga4
+ Revision: 493941
- imported package diskimage-builder

